> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post booking external transaction

> Create an external payment for a booking



## OpenAPI

````yaml post /bookings/{bookingId}/external-transaction
openapi: 3.0.0
info:
  version: 1.0.0
  title: Integrations
  description: >-
    To make any API request you have to use (secret, integration_id) given by
    the organization. <br>
servers:
  - url: https://api-alpha.fourvenues.com/integrations
    description: Alpha
  - url: https://api.fourvenues.com/integrations
    description: Production
security:
  - integration_id: []
    secret: []
    xApiKey: []
paths:
  /bookings/{bookingId}/external-transaction:
    post:
      tags:
        - Bookings
      description: Create an external payment for a booking
      parameters:
        - name: bookingId
          in: path
          required: true
          schema:
            type: string
          description: Id of the booking
          example: El805n9kh0000g3yw94010m5bNvk6za4
      requestBody:
        required: true
        description: Body of the request
        content:
          application/json:
            schema:
              type: object
              required:
                - transaction_type
                - amount
                - method
              properties:
                transaction_type:
                  type: string
                  enum:
                    - payment
                  example: payment
                amount:
                  type: number
                  example: 50
                method:
                  type: string
                  enum:
                    - transfer
                    - cash
                    - external-card
                    - external-online
                    - check
                    - other
                  example: cash
                payment_method_slug:
                  type: string
                  enum:
                    - visa
                    - mastercard
                    - amex
                  example: visa
                description:
                  type: string
                  example: External payment
      responses:
        '200':
          description: HTTP OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: >-
                      #/components/schemas/BookingExternalTransactionPaymentResponse
                xml:
                  name: main
            application/xml:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: >-
                      #/components/schemas/BookingExternalTransactionPaymentResponse
                xml:
                  name: main
        '400':
          description: Bad request
        '401':
          description: HTTP Unauthorized
        '404':
          description: HTTP Not Found
components:
  schemas:
    BookingExternalTransactionPaymentResponse:
      properties:
        _id:
          description: Unique ID of the created external payment.
          example: ld9o8tpo7tyld79qxdk6sgikl5i4xjpj
          type: string
        booking_id:
          description: Booking identifier.
          example: gxwts76a2qpoxf2rdtxy35etfk6xyd1m
          type: string
        transaction_type:
          description: Transaction type.
          example: payment
          type: string
          enum:
            - payment
        amount:
          description: Amount of the external payment.
          example: 50
          type: number
        currency:
          description: Currency of the external payment.
          example: EUR
          type: string
        method:
          description: External payment method.
          example: cash
          type: string
        payment_method_slug:
          description: Card brand when applicable.
          example: visa
          type: string
          nullable: true
        description:
          description: Optional payment description.
          example: External payment
          type: string
          nullable: true
        original_external_payment_id:
          description: Always null for payment transactions.
          example: null
          type: string
          nullable: true
  securitySchemes:
    integration_id:
      type: apiKey
      in: header
      name: integration_id
      description: Identifier of the integration (Auth v1)
    secret:
      type: apiKey
      in: header
      name: secret
      description: Secret of the organization (Auth v1)
    xApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key (Auth v2)

````